Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Tue, 16 Oct 2018 10:46:16 +0200

> I understand now what exactly is annoying about the current behavior:
 > when there is already 2 or more windows on the frame, after splitting the
 > selected window, you create a new window that displays the same buffer, then
 > you decide you need to undo the recent split, and the quickest way to do this
 > is to delete the selected window with 'C-x 0'.

Yours is a bad habit.  Deleting the old window will also delete its
old associations, like window parameters and overlays with a 'window'
property.  Here I have one key binding for selecting and one for
deleting a window on any side of the selected one.  I always use them
in such a case.

 > After that, the window
 > configuration looks exactly as before the split, with only one difference -
 > the cursor jumps to an unrelated window.

I'll try to make this customizable, probably by adding an option like
'window-set-use-time-upon-creation'.

martin